#!/usr/bin/perl -w
use strict;
use utf8;
use Pod::Usage;
use Getopt::Long;
use Cwd;
use vars qw(   $help   $VERSION   );
GetOptions('help|?' => \$help);
pod2usage(1) if $help;
my $srcdir = cwd();
open(IN, "../plugin_kateperlcheck.cpp") or die $!;

while (<IN>) {
  if($_ =~ /version (\d+\.\d+)/){
    $VERSION = $1;
  }
}
close IN;
print "Build Package for kateperlcheck-$VERSION$/";
chdir("../../");
# mkdir("kateperlcheck-$VERSION");
system("cp -R perlcheck/ kateperlcheck-$VERSION/");
system("tar -c -z -f kateperlcheck-$VERSION.tar.gz  kateperlcheck-$VERSION/");
chdir("kateperlcheck-$VERSION/");
system("dh_make -f ../kateperlcheck-$VERSION.tar.gz");
chdir("debian/" );
system("rm *.ex *.EX README.Debian README.source");
system("cp $srcdir/copyright ./");
system("cp $srcdir/rules ./");
system("cp $srcdir/control ./");
system("cp $srcdir/changelog ./");
chdir(".." );
#comment out the next 2 lines and uncomment the 2 following lines 
# to build a unsigned package
#system("dpkg-buildpackage -S ");
#system("dpkg-buildpackage ");
 system("dpkg-buildpackage -S -us -uc ");
 system("dpkg-buildpackage -us -uc");

=head1 NAME

deb.pl

=head1 SYNOPSIS

gpg --export --export-options export-minimal --armor AACC6007

gpg-agent --daemon

dput mentors kateperlcheck_1.7-1_i386.changes 

perl deb.pl creates a debian package...

This file is mainly written for the Kate Perl Plug-In.

http://kde-apps.org/content/show.php/Kate+Perl+Plug-In?content=170611

--help print this message

=head1 DESCRIPTION

create a debian package for Kate Perl Plug-In

=head1 AUTHOR

Dirk Lindner <dirk.lze@gmail.com>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2016 by Hr. Dirk Lindner

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation;
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

=cut

1;
